/*
  Copyright (C) 2000 Kimmo Pekkola

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*
  $Header: \\\\RAINBOX\\cvsroot/Rainmation/ControlWindow.h,v 1.1.1.1 2001/12/23 10:24:07 rainy Exp $

  $Log: ControlWindow.h,v $
  Revision 1.1.1.1  2001/12/23 10:24:07  rainy
  Intial version.

*/

#if !defined(AFX_CONTROLWINDOW_H__20CA1DED_4840_11D3_A66A_60A350C10000__INCLUDED_)
#define AFX_CONTROLWINDOW_H__20CA1DED_4840_11D3_A66A_60A350C10000__INCLUDED_

#include <atlbase.h>
#include "AnimWindow.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ControlWindow.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CControlWindow window

class CControlWindow : public CWnd
{
// Construction
public:
	CControlWindow();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CControlWindow)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CControlWindow();

	bool Initialize(HWND ParentWnd, HINSTANCE dllInst, wharfDataType* wd);

	CAnimWindow* GetAnim(int Index);
	CAnimWindow* GetAnim(const char* AnimName);
	CWnd& GetToolTipWindow() { return m_ToolTipWindow; };

	// Generated message map functions
protected:
	//{{AFX_MSG(CControlWindow)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg LRESULT OnGetRevID(WPARAM wParam, LPARAM lParam);
	afx_msg void OnSettingChange(UINT uFlags, LPCTSTR lpszSection);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	HINSTANCE m_DllInstance;
	int m_StartDelay;

	CPtrArray m_Anims;

	CWnd m_ToolTipWindow;
	HWND m_Parent;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTROLWINDOW_H__20CA1DED_4840_11D3_A66A_60A350C10000__INCLUDED_)
