/*
  Copyright (C) 2000 Kimmo Pekkola

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*
  $Header: \\\\RAINBOX\\cvsroot/Rainmation/ConfigGeneral.h,v 1.1.1.1 2001/12/23 10:24:07 rainy Exp $

  $Log: ConfigGeneral.h,v $
  Revision 1.1.1.1  2001/12/23 10:24:07  rainy
  Intial version.

*/

#if !defined(AFX_CONFIGGENERAL_H__E9175981_DD9A_11D3_92A3_0080AD90417B__INCLUDED_)
#define AFX_CONFIGGENERAL_H__E9175981_DD9A_11D3_92A3_0080AD90417B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigGeneral.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigGeneral dialog

class CConfigGeneral : public CPropertyPage
{
	DECLARE_DYNCREATE(CConfigGeneral)

// Construction
public:
	CConfigGeneral();
	~CConfigGeneral();

	BOOL GetAlwaysOnTop() { return m_AlwaysOnTop; };
	UINT GetDelay() { return m_Delay; };
	BOOL GetNoMenu() { return m_NoMenu; };
	BOOL GetRunOnce() { return m_RunOnce; };
	BOOL GetStartDisabled() { return m_StartDisabled; };
	BOOL GetStartHidden() { return m_StartHidden; };
	BOOL GetToolTip() { return m_ToolTip; };
	CString& GetToolTipText() { return m_ToolTipText; };
	BOOL GetRealTransparency() { return m_RealTransparency; };
	int GetXPos(bool Negative=false);
	int GetYPos(bool Negative=false);

	void SetToolTipText(char* ToolTipText ) { m_ToolTipText=ToolTipText; };
	void SetAlwaysOnTop(BOOL AlwaysOnTop ) { m_AlwaysOnTop=AlwaysOnTop; };
	void SetDelay(UINT Delay ) { m_Delay=Delay; };
	void SetNoMenu(BOOL NoMenu ) { m_NoMenu=NoMenu; };
	void SetRunOnce(BOOL RunOnce ) { m_RunOnce=RunOnce; };
	void SetStartDisabled(BOOL StartDisabled ) { m_StartDisabled=StartDisabled; };
	void SetStartHidden(BOOL StartHidden ) { m_StartHidden=StartHidden; };
	void SetToolTip(BOOL ToolTip ) { m_ToolTip=ToolTip; };
	void SetRealTransparency(BOOL RealTransparency ) { m_RealTransparency=RealTransparency; };
	void SetXPos(int XPos ) { m_XPos=XPos; };
	void SetYPos(int YPos ) { m_YPos=YPos; };

	// Dialog Data
	//{{AFX_DATA(CConfigGeneral)
	enum { IDD = IDD_GENERAL };
	BOOL	m_AlwaysOnTop;
	UINT	m_Delay;
	BOOL	m_NoMenu;
	BOOL	m_RunOnce;
	BOOL	m_StartDisabled;
	BOOL	m_ToolTip;
	CString	m_ToolTipText;
	BOOL	m_RealTransparency;
	int		m_XPos;
	int		m_YPos;
	BOOL	m_StartHidden;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CConfigGeneral)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CConfigGeneral)
	afx_msg void OnTooltip();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGGENERAL_H__E9175981_DD9A_11D3_92A3_0080AD90417B__INCLUDED_)
